package com.jxy.marketall.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.entity.Arh99;
import com.jxy.marketall.vo.QueryVo;


/**
 * @Description Arh99服务类
 * @Date 2022/6/20 17:40
 * @Author 杜懿
 */
public interface BTCService{

    /***
     * 查询ma730
     * @param queryVo
     * @return
     */
    public AjaxResult findMa730ByTime(QueryVo queryVo);

    /***
     * 查询ma730近24小时数据
     * @return
     */
    public AjaxResult findMa730Day();

    ///***
    // * 查询BTC日交易量
    // * @param vo
    // * @return
    // */
    //public AjaxResult getBTCVolumeList(QueryVo vo);

    /**
     * 根据时间查询CoinDayDes数据
     * @param vo
     * @return
     */
    public AjaxResult getCDDList(QueryVo vo);

    /**
     * 根据时间查询已实现盈利交易占比ProfitRate
     * @param vo
     * @return
     */
    public AjaxResult getProfitRateList(QueryVo vo);

    /**
     * 根据时间查询交易费Fees
     * @param vo
     * @return
     */
    public AjaxResult getFeesList(QueryVo vo);


    /**
     * 根据时间查询地址相关数据newAddress、activeAddress、sendAddress、receiveAddress
     * @param vo
     * @return
     */
    public AjaxResult getAddressList(QueryVo vo);

    /**
     * 根据时间查询交易量Volume
     * @param vo
     * @return
     */
    public AjaxResult getVolumeList(QueryVo vo);

    /**
     * 根据时间查询交易量(找零消除)eaVolume
     * @param vo
     * @return
     */
    public AjaxResult geteaVolumeList(QueryVo vo);

    /**
     * 根据时间查询已花费输出盈利比Sopr
     * @param vo
     * @return
     */
    public AjaxResult getSoprList(QueryVo vo);

    /**
     * 根据时间查询已花费输出平均寿命ASOL
     * @param vo
     * @return
     */
    public AjaxResult getAsolList(QueryVo vo);

    /**
     * 根据时间查询已花费输出休眠平均天数dormancy
     * @param vo
     * @return
     */
    public AjaxResult getDormancyList(QueryVo vo);

    /**
     * 币天销毁量年龄分布
     * @param vo
     * @return
     */
    public AjaxResult getSoagList(QueryVo vo);

    /**
     * 流通供应量
     * @param vo
     * @return
     */
    public AjaxResult getCSupplyList(QueryVo vo);

    /**
     * 累计币天销毁量(流通供应量)
     * @param vo
     * @return
     */
    public AjaxResult getSumCSupplyList(QueryVo vo);


    /**
     * 累计币天销毁量
     * @param vo
     * @return
     */
    public AjaxResult getSumCddList(QueryVo vo);

    /**
     * 累计币天销毁量(消除找零)
     * @param vo
     * @return
     */
    public AjaxResult getSumEaCddList(QueryVo vo);

    /**
     * 活跃度、活跃度(消除找零)
     * @param vo
     * @return
     */
    public AjaxResult getLiveLinessList(QueryVo vo);

    /**
     * 已实现盈利量rprofit
     * @param vo
     * @return
     */
    public AjaxResult getRealizedProfitList(QueryVo vo);

    /**
     * 已实现亏损量rloss
     * @param vo
     * @return
     */
    public AjaxResult getRealizedLossList(QueryVo vo);

    /**
     * 已实现净收益损失比rplrate
     * @param vo
     * @return
     */
    public AjaxResult getRplRateList(QueryVo vo);

    /**
     * 已实现净收益损失比
     * @param vo
     * @return
     */
    public AjaxResult getMarketCapList(QueryVo vo);

    /**
     * 已实现流通市值rcap
     * @param vo
     * @return
     */
    public AjaxResult getRealizedCapList(QueryVo vo);

    /**
     * 已实现流通市值(找零消除)earcap
     * @param vo
     * @return
     */
    public AjaxResult getEntityAdjustedRealizedCapList(QueryVo vo);

    /**
     * 流通市值-已实现流通市值比mvrv
     * @param vo
     * @return
     */
    public AjaxResult getMVRVList(QueryVo vo);

    /**
     * 流通市值-已实现流通市值比mvrv-z
     * @param vo
     * @return
     */
    public AjaxResult getMVRVZList(QueryVo vo);

    /**
     * 长持者流通市值-已实现流通市值比lthmvrv
     * @param vo
     * @return
     */
    public AjaxResult getLthMVRVList(QueryVo vo);

    /**
     * 短持者流通市值-已实现流通市值比sthmvrv
     * @param vo
     * @return
     */
    public AjaxResult getSthMVRVList(QueryVo vo);

    /**
     *未实现的净收益损失比nupl
     * @param vo
     * @return
     */
    public AjaxResult getNuplList(QueryVo vo);

    /**
     *未实现的净收益量uprofit
     * @param vo
     * @return
     */
    public AjaxResult getUnrealizedProfitList(QueryVo vo);

    /**
     *未实现的净亏损量uloss
     * @param vo
     * @return
     */
    public AjaxResult getUnrealizedLossList(QueryVo vo);

    /**
     *长持者未实现的净亏损量lthnupl
     * @param vo
     * @return
     */
    public AjaxResult getLthNuplList(QueryVo vo);

    /**
     *短持者未实现的净亏损量sthnupl
     * @param vo
     * @return
     */
    public AjaxResult getSthNuplList(QueryVo vo);


    /**
     *发行价值（USD）
     * @param vo
     * @return
     */
    public AjaxResult getMintusd(QueryVo vo);

    /**
     * Puell Multiple
     * @param vo
     * @return
     */
    public AjaxResult getPuellMultiple(QueryVo vo);

    /**
     * VDD指标 根据vdd(30天移动平均)/vdd(365天移动平均）
     * @param vo
     * @return
     */
    public AjaxResult getVDDList(QueryVo vo);

    /**
     *币价
     * @param vo
     * @return
     */
    public AjaxResult getPrice(QueryVo vo);

    /**
     *矿工地址数miner_address
     * @param vo
     * @return
     */
    public AjaxResult getMinerAddress(QueryVo vo);

    /**
     *矿工地址余额miner_balance
     * @param vo
     * @return
     */
    public AjaxResult getMinerBalance(QueryVo vo);



}
